June 11

D 2.100.0 removed support for D1 operator overloads. If you have a bunch of code that still uses them, and don't want to spend the time to upgrade to D2 overloads, you can still do it, using a mixin.

Here's how it works (and shows off some cool metaprogramming features of D): https://www.schveiguy.com/blog/2022/06/how-to-keep-using-d1-operator-overloads/

-Steve

June 25

On Saturday, 11 June 2022 at 21:57:36 UTC, Steven Schveighoffer wrote:

>

https://www.schveiguy.com/blog/2022/06/how-to-keep-using-d1-operator-overloads/

-Steve

Good article ,and chinese version